Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Any Class Reference

`#include <Notify_Event.h>`

Inheritance diagram for TAO_Notify_Any

[legend]
Collaboration diagram for TAO_Notify_Any:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Any (CORBA::Any* data)
| TAO_Notify_Any (const CORBA::Any* data)
virtual | ~TAO_Notify_Any ()
virtual TAO_Notify_Event* | clone (void)
void | operator= (const TAO_Notify_Any& notify_any)
virtual CORBA::Boolean | is_special_event_type (void) const
virtual const TAO_Notify_EventType& | event_type (void) const
virtual CORBA::Boolean | do_match (CosNotifyFilter::Filter_ptr filter, CORBA::Environment &ACE_TRY_ENV) const
virtual void | do_push (CosEventComm::PushConsumer_ptr consumer, CORBA::Environment &ACE_TRY_ENV) const
virtual void | do_push (CosNotifyComm::StructuredPushConsumer_ptr consumer, CORBA::Environment &ACE_TRY_ENV) const
## Protected Attributes
CORBA::Any* | data_
CORBA::Boolean | is_owner_

## Constructor & Destructor Documentation

TAO_Notify_Any::TAO_Notify_Any ( | CORBA::Any * data )

TAO_Notify_Any::TAO_Notify_Any ( | const CORBA::Any * data )

TAO_Notify_Any::~TAO_Notify_Any ( | )`[virtual]`

## Member Function Documentation

TAO_Notify_Event * TAO_Notify_Any::clone ( | void )`[virtual]`

| Reimplemented from TAO_Notify_Event.

CORBA::Boolean TAO_Notify_Any::do_match ( | CosNotifyFilter::Filter_ptr filter,
| CORBA::Environment & ACE_TRY_ENV ) const`[virtual]`

| Reimplemented from TAO_Notify_Event.

void TAO_Notify_Any::do_push ( | CosNotifyComm::StructuredPushConsumer_ptr consumer,
| CORBA::Environment & ACE_TRY_ENV ) const`[virtual]`

| Reimplemented from TAO_Notify_Event.

void TAO_Notify_Any::do_push ( | CosEventComm::PushConsumer_ptr consumer,
| CORBA::Environment & ACE_TRY_ENV ) const`[virtual]`

| Reimplemented from TAO_Notify_Event.

const TAO_Notify_EventType & TAO_Notify_Any::event_type ( | void ) const`[virtual]`

| Reimplemented from TAO_Notify_Event.

CORBA::Boolean TAO_Notify_Any::is_special_event_type ( | void ) const`[virtual]`

| Reimplemented from TAO_Notify_Event.

void TAO_Notify_Any::operator= ( | const TAO_Notify_Any & notify_any )

## Member Data Documentation

CORBA::Any * TAO_Notify_Any::data_`[protected]`

CORBA::Boolean TAO_Notify_Any::is_owner_`[protected]`

The documentation for this class was generated from the following files:

- Notify_Event.h
- Notify_Event.cpp